cobaya error: simple initializing of the Planck likelihoods

Use of Cobaya. camb, CLASS, cosmomc, compilers, etc.
Post Reply
boryana hadzhiyska
Posts: 1
Joined: April 28 2021
Affiliation: Harvard

cobaya error: simple initializing of the Planck likelihoods

Post by boryana hadzhiyska » April 28 2021

I am trying to initialize an example run with the Planck likelihoods using cobaya.
The first thing I tried was to copy the example yaml file from here: https://cobaya.readthedocs.io/en/latest/cosmo_basic_runs.html and run it with cobaya-run planck.yaml. I did this for both class and camb, but both times I got:

Code: Select all

[output_mpi] Output to be read-from/written-into folder '.', with prefix 'planck_camb'
/users/boryanah/.local/lib/python3.6/site-packages/numba/core/errors.py:154: UserWarning: Insufficiently recent colorama version found. Numba requires colorama >= 0.3.9
  warnings.warn(msg)
[camb] Importing *auto-installed* CAMB (but defaulting to *global*).
[camb] Initialized!
[clik] Importing *auto-installed* clik (but defaulting to *global*).
[planck_2018_lowl.ee] *ERROR* An unexpected error occurred in clik (possibly related to multiple simultaneous initialization, or simultaneous initialization of incompatible likelihoods (e.g. polarised vs non-polarised 'lite' likelihoods. See error info below:
[exception handler] ---------------------------------------

Traceback (most recent call last):
  File "/users/boryanah/.local/bin/cobaya-run", line 11, in <module>
    load_entry_point('cobaya==3.0.4', 'console_scripts', 'cobaya-run')()
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/run.py", line 206, in run_script
    run(info)
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/run.py", line 90, in run
    allow_renames=False, stop_at_error=info.get("stop_at_error", False)) \
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/model.py", line 152, in __init__
    packages_path=packages_path, timing=timing)
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/likelihood.py", line 281, in __init__
    name=name))
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/likelihood.py", line 85, in __init__
    standalone=standalone)
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/theory.py", line 63, in __init__
    standalone=standalone)
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/component.py", line 92, in __init__
    self.initialize()
  File "/users/boryanah/.local/lib/python3.6/site-packages/cobaya/likelihoods/base_classes/planck_clik.py", line 70, in initialize
    else clik.clik(self.clik_file)
  File "lkl.pyx", line 72, in clik.lkl.clik.__init__
clik.lkl.CError: <unprintable CError object>
-------------------------------------------------------------

[exception handler] Some unexpected ERROR occurred. You can see the exception information above.
We recommend trying to reproduce this error with 'debug:True' in the input.
If you cannot solve it yourself and need to report it, include the debug output,
which you can send it to a file setting 'debug_file:[some_file_name]'.
The only likelihoods that do not give me that error are the high TTTEEE and the lowl for TT. For the other ones, even if I select just one likelihood it produces the same error message. I thought that the readthedocs may not be updated, so I tried 

Code: Select all

cobaya-cosmo-generator
after pip installing the two modules: pyqt5 and pyside2, but that gave me the following error:

Code: Select all

ImportError: module 'cobaya.cosmo_input' has no attribute 'gui_script'
I am using python3.6 and have upgraded cobaya and pip.

Antony Lewis
Posts: 1689
Joined: September 23 2004
Affiliation: University of Sussex
Contact:

Re: cobaya error: simple initializing of the Planck likelihoods

Post by Antony Lewis » May 14 2021

Sounds like a clik problem. There's an update available on the PLA which may (or may not) help. Check if clik works OK separately.

Post Reply